/* #region @keyframes */
@keyframes fadeIn {
	from {
		opacity: 0;
	}

	to {
		opacity: 1;
	}
}

@keyframes testimonialsDots {

	0%,
	100% {
		background-color: var(--red500);
	}

	4% {
		background-color: var(--red300);
	}

	20% {
		background-color: var(--red300);
	}

	24%,
	100% {
		background-color: var(--red500);
	}
}

@keyframes testimonialsSlider {

	0%,
	100% {
		translate: 100% 0;
		opacity: 0;
	}

	4% {
		/* 2 seconds in, since 4% of 50 seconds is 2 seconds */
		translate: 0 0;
		opacity: 1;
	}

	20% {
		/* Dwell for 6 seconds (starts at 2s, ends at 8s which is 16% of 50s) */
		translate: 0 0;
		opacity: 1;
	}

	24% {
		/* Start moving out after 8 seconds */
		translate: -100% 0;
		opacity: 0;
	}

	/* Remaining percentage is the offscreen time */
}

/* #endregion */
/* #region @prefers-reduced-motion */
@media (prefers-reduced-motion: reduce) {
	*, *::before, *::after {
		animation-delay: 0s !important;
		animation-duration: 0s !important;
		scroll-behavior: auto !important;
		transition-delay: 0s !important;
		transition-duration: 0s !important;
	}

	/* For hero background video */
	video[autoplay] {
		display: none !important;
	}

	.hero {
		background: linear-gradient(to bottom, var(--black-50), transparent), url("https://ripcord.sirv.com/DLDocko/poster-hero.jpg") center/cover no-repeat !important;
	}
}

/* #endregion */
/* #region Elements */
*, *::before, *::after {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

a {
	color: var(--red500);
	display: inline-block;
	font-size: var(--fz18);
	text-decoration: none;
	text-decoration-thickness: var(--px02);
	text-underline-offset: var(--px02);
	transition: all var(--transition);
}

body {
	color: var(--grey900);
	font-family: var(--font-sans);
}

button {
	background: none;
	border: none;
	color: var(--red500);
	cursor: pointer;
}

h1, h2, h3 {
	text-wrap: balance;
}

hr {
	border: 0;
	border-top: var(--px01) solid var(--grey300);
	margin-block: var(--px48);
}

html {
	scroll-behavior: smooth;
	scroll-padding-top: var(--px160);
	scrollbar-gutter: stable;
}

img {
	display: block;
	max-width: 100%;
}

li {
	font-size: var(--fz18);
	line-height: 1.3;
	margin-bottom: var(--px16);
	padding-left: var(--px04);
}

p {
	font-size: var(--fz18);
	line-height: 1.5;
	margin-bottom: var(--px20);
	text-wrap: pretty;
}

ul {
	margin: 0 0 var(--px32) var(--px32);
}

/* #endregion */
/* #region Global */
.btn {
	background-color: var(--red500);
	border-radius: var(--radius);
	color: white;
	display: inline-block;
	font-size: var(--fz16);
	letter-spacing: var(--px02);
	padding: var(--px16) var(--px28);
	text-decoration: none;
	text-transform: uppercase;
	transition: var(--transition);
}

.content {
	margin-inline: auto;
	width: min(90%, 1200px);
}

.cta {
	background: linear-gradient(to right, var(--gold500) 45%, var(--gold700-90)), url("https://ripcord.sirv.com/DLDocko/landscape-architect-design-backyard-plan-villa.jpg") right/50% no-repeat;
	color: white;
	padding-block: var(--px80);
	text-align: center;

	h2 {
		font-family: var(--font-serif);
		font-size: var(--fz36);
		font-weight: 700;
		margin-bottom: var(--px16);
	}

	p {
		margin-inline: auto;
		max-width: 700px;
	}

	.btn {
		background-color: var(--white-80);
		color: var(--gold700);
		font-weight: 700;
		margin-top: var(--px40);

		&:hover {
			background-color: white;
		}
	}
}

.hours {
	p {
		margin-bottom: 0;
	}

	+ iframe {
		margin-top: var(--px32);
	}
}

/* #endregion */
/* #region Nav */
.nav-grid {
	display: grid;
	gap: 1vh var(--px08);
	grid-auto-flow: column;
	justify-self: end;

	@media (width < 900px) {
		justify-self: center;
	}

	@media (width < 700px) {
		grid-auto-flow: row;
		text-align: center;
	}

	a {
		border-radius: var(--radius);
		color: white;
		font-size: var(--fz18);
		font-weight: 600;
		letter-spacing: var(--px01);
		line-height: 1;
		padding: var(--px12) var(--px20);
		text-decoration: none;
		text-transform: uppercase;
		transition: var(--transition);

		@media (width < 700px) {
			padding: var(--px04);
		}

		&:hover {
			background-color: var(--red500);
			color: white;
		}
	}
}

/* #endregion */
/* #region Header */
.header {
	padding-block: var(--px16);
	position: fixed;
	width: 100%;
	z-index: 10;

	@media (width < 900px) {
		background-color: var(--black-70);
	}

	&.scrolled {
		background-color: var(--black-70);
	}
}

.header-grid {
	align-items: center;
	display: grid;
	gap: var(--px12) 0;
	grid-template-columns: auto 1fr;

	@media (width < 900px) {
		grid-template-columns: auto;
	}

	.logo {
		margin-inline: auto;
		transition: var(--transition);
		width: 220px;

		@media (width < 1200px) {
			width: 180px;
		}

		@media (width < 500px) {
			width: 150px;
		}

		&.scrolled {
			width: 150px;
		}
	}
}

/* #endregion */
/* #region Footer */
.footer {
	background: linear-gradient(to right, var(--black-50), var(--black-90)), url("https://ripcord.sirv.com/DLDocko/google-maps-screenshot.jpg") center/cover no-repeat, black;
	color: white;
	padding-block: var(--px96);
}

.footer-grid {
	align-items: center;
	display: grid;
	grid-template-columns: auto 1fr auto;

	@media (width < 1000px) {
		grid-template-columns: auto;
	}

	img {
		width: 220px;

		@media (width < 1000px) {
			margin: 0 auto var(--px32);
		}
	}
}

.footer-info-grid {
	align-items: center;
	display: grid;
	gap: var(--px24);
	grid-template-columns: auto auto;
	justify-self: end;

	@media (width < 1000px) {
		justify-self: center;
		margin-bottom: var(--px96);
	}

	i {
		align-items: center;
		aspect-ratio: 1;
		background-color: var(--red700);
		border-radius: var(--radius-pill);
		display: flex;
		font-size: var(--fz20);
		justify-content: center;
		text-align: center;
		width: var(--px48);
	}

	p {
		font-size: var(--fz16);
		margin-bottom: 0;
	}

	.phone {
		font-size: var(--fz28);
		font-weight: 700;
	}
}

.footer-social {
	align-self: end;
	margin-bottom: var(--px32);
	text-align: center;

	i {
		color: var(--white-70);
		font-size: var(--fz36);
		transition: var(--transition);

		&:hover {
			color: white;
			transition: var(--transition);
		}
	}
}

/* #endregion */
/* #region Hero */
.hero {
	--hero-text-animation: ;
	background: linear-gradient(to bottom, var(--black-30), var(--black-30));
	color: white;
	padding-block: 30vh 50vh;
	text-align: center;

	h1 {
		animation: fadeIn 1s ease-in both;
		font-family: var(--font-serif);
		font-size: var(--fz48);
		line-height: 1.2;
		margin-bottom: var(--px16);
	}

	p {
		animation: fadeIn 1s ease-in both;
		animation-delay: .5s;
		font-size: var(--fz24);
		font-weight: 500;
		line-height: 1.4;
		margin: 0 auto var(--px64);
		max-width: 35ch;
	}

	.video {
		height: auto;
		left: 50%;
		min-height: 100%;
		min-width: 100%;
		position: fixed;
		top: 50%;
		translate: -50% -50%;
		width: auto;
		z-index: -10;
	}
}

/* .hero-alert {
	animation: fadeIn 1s ease-in both;
	animation-delay: 1s;
	background: linear-gradient(75deg, navy, var(--red500), var(--red700));
	border-radius: var(--radius-lg);
	color: white;
	display: inline-block;
	font-size: var(--fz18);

	padding: var(--px20) var(--px24);
	text-wrap: pretty;

	i {
		font-size: var(--fz20);
		margin-right: 1rem;

		@media (width < 700px) {
			display: block;
			margin: 0 0 var(--px12) 0;
		}
	}
} */
.hero-alert {
	align-items: center;
	animation: fadeIn 1s ease-in both;
	animation-delay: 1s;
	background: linear-gradient(to right, white 30%, skyblue, var(--red300));
	border: var(--px03) solid var(--red500);
	border-radius: var(--radius-lg);
	color: black;
	display: grid;
	font-size: var(--fz18);
	font-weight: 500;
	grid-template-columns: auto auto;
	line-height: 1.4;
	margin-inline: auto;
	max-width: max-content;
	padding: var(--px16) var(--px20);
	text-wrap: pretty;

	img {
		margin-right: var(--px08);
		max-width: var(--px48);
	}
}

/* #endregion */
/* #region Home-About */
.home-about {
	background-color: white;
	padding-block: var(--px32) var(--px96);

	.grid {
		display: grid;
		gap: var(--px32) 5vw;
		grid-template-columns: 1fr 1fr;

		@media (width < 1000px) {
			grid-template-columns: auto;
		}

		h2 {
			font-family: var(--font-serif);
			font-size: var(--fz40);
			margin-bottom: var(--px16);
		}

		img {
			aspect-ratio: .75;
			border: var(--px16) solid white;
			box-shadow: var(--px02) var(--px02) var(--px08) var(--px04) var(--black-10);
			grid-area: 1/1;
			object-fit: cover;
			rotate: -10deg;
			width: 350px;

			@media (width < 1200px) {
				width: 250px;
			}

			@media (width < 500px) {
				width: 200px;
			}

			&:nth-of-type(1) {
				filter: saturate(0);
				translate: 0 -16px
			}

			&:nth-of-type(2) {
				rotate: 5deg;
				translate: var(--px128) var(--px128);

				@media (width < 1000px) {
					translate: var(--px128) var(--px32);
				}

				@media (width < 500px) {
					translate: var(--px64) var(--px32);
				}
			}
		}

		p {
			font-size: var(--fz20);
		}

		.eyebrow {
			color: var(--gold500);
			font-weight: 700;
			letter-spacing: var(--px01);
			margin-bottom: var(--px16);
			text-transform: uppercase;
		}

		.imgcollage {
			display: grid;

			@media (width < 1000px) {
				margin: 0 auto var(--px48);
				translate: -64px 0;
			}

			@media (width < 500px) {
				translate: -32px 0;
			}
		}
	}
}

/* #endregion */
/* #region Home-Services */
.home-services {
	background-color: var(--red100);
}

.home-services-grid {
	display: grid;
	gap: var(--px32);
	grid-template-columns: 1fr 1fr;
	translate: 0 -64px;

	@media (width < 900px) {
		grid-template-columns: auto;
	}

	h2 {
		font-family: var(--font-serif);
		font-size: var(--fz32);
		margin-bottom: var(--px24);
	}

	i {
		font-size: var(--fz48);
		margin-right: var(--px16);

		@media (width < 500px) {
			display: block;
		}
	}

	p:has(+ ul) {
		margin-bottom: var(--px12);
	}

	.box {
		border-radius: var(--radius-lg);
		color: white;
		display: grid;
		overflow: hidden;
		position: relative;

		&:hover {
			background-color: var(--red700);

			img {
				opacity: .5;
				scale: 1.05;
			}

			.btn {
				opacity: 1;
			}
		}

		img {
			aspect-ratio: 1.5/1;
			border-bottom-left-radius: var(--radius-lg);
			border-bottom-right-radius: var(--radius-lg);
			object-fit: cover;
			transition: var(--transition);
		}

		.btn {
			background-color: white;
			border-radius: var(--radius);
			color: var(--red700);
			font-weight: 700;
			left: 50%;
			letter-spacing: var(--px01);
			opacity: 0;
			padding: var(--px12) var(--px24);
			position: absolute;
			text-transform: uppercase;
			top: 50%;
			transition: var(--transition);
			translate: -50% -50%;
			z-index: 10;
		}

		.imgframe {
			align-self: end;
			overflow: hidden;
		}

		.text {
			padding: var(--px32);
		}
	}

	.box-material {
		background-color: var(--gold700);
	}

	.box-septic {
		background-color: var(--gold500);
		position: relative;
	}
}

/* #endregion */
/* #region Home-Testimonials */
.dots span {
	animation: testimonialsDots 50s infinite;
	aspect-ratio: 1;
	background-color: var(--red500);
	border-radius: 50%;
	display: inline-block;
	margin: 0 var(--px02);
	width: var(--px08);
}

/* Sync the dot animations with the slides */
.dots span:nth-child(1) {
	animation-delay: 0s;
}

.dots span:nth-child(2) {
	animation-delay: 10s;
}

.dots span:nth-child(3) {
	animation-delay: 20s;
}

.dots span:nth-child(4) {
	animation-delay: 30s;
}

.dots span:nth-child(5) {
	animation-delay: 40s;
}

.home-testimonials {
	background: linear-gradient(var(--white-70), white), url("https://ripcord.sirv.com/DLDocko/freepik-80532.jpg") center/cover no-repeat;
	padding-block: var(--px128);

	@media (width < 1000px) {
		padding-bottom: var(--px96);
	}
}

.slider {
	display: grid;
	grid-template-columns: repeat(5, 1fr);
	overflow: hidden;

	> p {
		animation: testimonialsSlider 50s infinite;
		color: white;
		font-family: var(--font-serif);
		font-size: var(--fz24);
		grid-column: 1/-1;
		grid-row: 1;
		translate: 100% 0;
		width: 100%;

		&:nth-child(1) {
			animation-delay: 0s;
		}

		&:nth-child(2) {
			animation-delay: 10s;
		}

		&:nth-child(3) {
			animation-delay: 20s;
		}

		&:nth-child(4) {
			animation-delay: 30s;
		}

		&:nth-child(5) {
			animation-delay: 40s;
		}
	}
}

.sliderbox {
	background-color: var(--red700);
	border-radius: var(--radius-lg);
	font-size: var(--fz24);
	margin-inline: auto;
	padding: var(--px32) var(--px96);
	text-align: center;
	width: 80%;

	@media (width < 700px) {
		padding: var(--px32);
	}

	i {
		color: var(--red500);
		font-size: var(--fz40);
		margin-bottom: var(--px24);
	}
}

/* #endregion */
/* #region Sub */
.sub {
	h1 {
		color: var(--red700);
		font-family: var(--font-serif);
		font-size: var(--fz40);
		margin-bottom: var(--px64);
	}

	.content {
		min-height: 40vh;
		padding-block: var(--px64) var(--px96);
	}
}

.subhero {
	background: linear-gradient(var(--black-90), var(--black-10)), var(--subhero-bg-img, black) center/cover no-repeat, black;
	height: 30vh;

	&.subhero-contact {
		--subhero-bg-img: url("https://ripcord.sirv.com/DLDocko/alltrucks.jpg");
	}

	&.subhero-landscape {
		--subhero-bg-img: url("https://ripcord.sirv.com/DLDocko/mulch-bins.jpg");
	}

	&.subhero-septic {
		--subhero-bg-img: url("https://ripcord.sirv.com/DLDocko/brutis.jpg");
	}
}

/* #endregion */
/* #region Sub-Contact */
.sub-contact-grid {
	display: grid;
	gap: var(--px32) 5vw;
	grid-template-columns: 500px 1fr;

	@media (width < 1200px) {
		grid-template-columns: auto;
	}

	a {
		text-decoration: underline;
	}

	h2 {
		margin-bottom: var(--px08);
	}

	iframe {
		aspect-ratio: 4/3;
		margin-top: var(--px32);
		max-width: 100%;
		width: 700px;

		@media (width < 900px) {
			width: 100%;
		}
	}
}

/* #endregion */
/* #region Sub-Landscape */
.sub-landscape-calculator {
	background: radial-gradient(var(--white-90), white), url("https://ripcord.sirv.com/DLDocko/calculations.jpg") center/cover no-repeat;

	h2 {
		font-size: var(--fz28);
		margin-bottom: var(--px12);
	}
}

.sub-landscape-grid {
	--col-min-width: 300px;
	display: grid;
	gap: var(--px32);
	grid-template-columns: repeat(auto-fit, minmax(min(100%, var(--col-min-width)), auto));
	justify-content: start;
	margin-block: var(--px32) var(--px80);
	position: relative;

	a {
		margin-bottom: var(--px08);
		position: relative;

		&:hover,
		&:focus-visible {
			.tooltip {
				opacity: 1;
				visibility: visible;
			}
		}

		.tooltip {
			background-color: var(--red700);
			border-radius: var(--radius);
			bottom: 50%;
			color: white;
			font-size: var(--fz14);
			left: 50%;
			opacity: 0;
			padding: var(--px06) var(--px12);
			position: absolute;
			text-align: center;
			transition: var(--transition);
			translate: -50%;
			visibility: hidden;
		}
	}

	> div {
		display: grid;
		justify-items: start;
	}

	h3 {
		font-size: var(--fz16);
		margin-bottom: var(--px04);
	}

	img {
		aspect-ratio: 1.5;
		border-radius: var(--px08);
		height: 200px;
		object-fit: cover;
		transition: var(--transition);

		&:hover {
			filter: brightness(50%);
		}
	}

	p {
		background-color: var(--grey100);
		border-radius: var(--radius-lg);
		font-size: var(--fz14);
		font-weight: 600;
		margin-bottom: 0;
		padding: var(--px04) var(--px12);
	}
}

.fslightbox-toolbar-button:not(:first-child):not(:last-child) {
	display: none;
}

.fslightboxci {
	font-size: var(--fz18) !important;
	font-weight: 700;
}

.fslightboxs {
	border-radius: var(--px16);
}

/* #endregion */
/* #region Sub-Septic */
.sub-septic-grid {
	display: grid;
	gap: var(--px160) var(--px64);
	grid-template-columns: auto auto;
	justify-self: start;

	@media (width < 1200px) {
		gap: var(--px16);
		grid-template-columns: auto;
	}

	h2 {
		font-size: var(--fz24);
		margin-bottom: var(--px16);
		text-transform: uppercase;
	}

	img {
		border-radius: var(--radius);
		box-shadow: var(--px16) var(--px16) 0 0 var(--grey100);
		width: 500px;

		@media (width < 1200px) {
			margin-bottom: var(--px64);
		}
	}

	p {
		max-width: 60ch;
	}
}

.callout {
	align-items: center;
	background-color: var(--green100);
	border-radius: var(--radius);
	column-gap: var(--px16);
	display: grid;
	grid-auto-flow: column;
	justify-content: start;
	padding: var(--px12) var(--px20);

	i {
		font-size: var(--fz20);
	}

	p {
		font-size: var(--fz14);
		font-weight: 600;
		margin-bottom: 0;
	}
}

/* #endregion */